module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 36);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 36:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/bar-chart/src/bar-chart.vue?vue&type=template&id=d17e370c&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", {
    style: { height: _vm.height, width: _vm.width },
    attrs: { id: "barChart" }
  })
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/bar-chart/src/bar-chart.vue?vue&type=template&id=d17e370c&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/bar-chart/src/bar-chart.vue?vue&type=script&lang=js&
//
//
//
//

/* harmony default export */ var bar_chartvue_type_script_lang_js_ = ({
  name: 'BarChart',
  componentName: 'BarChart',
  props: {
    width: {
      default: '800px',
      type: String
    },
    height: {
      default: '250px',
      type: String
    },
    data: {
      default: function _default() {
        return [{ name: '学校', num: 2 }];
      },
      type: Array
    }
  },
  computed: {},
  data: function data() {
    return {};
  },
  created: function created() {},
  mounted: function mounted() {
    this.initFireDistributionChart();
  },

  methods: {
    initFireDistributionChart: function initFireDistributionChart() {
      var xData = []; // 消防单位
      var yData = []; // 单位数量

      var dataList = this.data;

      dataList.forEach(function (ele) {
        xData.push(ele.name);
        yData.push(ele.num);
      });

      var option = {
        tooltip: {
          backgroundColor: 'rgba(50,50,50,0.7)',
          borderWidth: 0,
          padding: [5, 10],
          textStyle: {
            color: '#FFFFFF',
            fontFamily: 'sans-serif'
          },
          // 格式化提示内容
          formatter: function formatter(params) {
            return '消防单位<br/>' + "<span style='display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:rgba(55, 255, 238, 0.8)'></span>" + params.name + ' : ' + params.value + '<br/>';
          }
        },
        grid: {
          left: '0',
          top: '18',
          right: '0',
          bottom: '0',
          containLabel: true
        },
        xAxis: [{
          data: xData,
          axisLabel: {
            textStyle: {
              color: 'rgba(255, 255, 255, 0.8)',
              fontSize: '14',
              fontFamily: 'SourceHanSansCN-Regular',
              fontWeight: 400
            },
            margin: 10 // 刻度标签与轴线之间的距离
          },

          axisLine: {
            show: true,
            lineStyle: {
              color: 'rgba(255, 255, 255, 0.2)'
            }
          },
          axisTick: {
            show: false // 不显示刻度
          },
          boundaryGap: true,
          splitLine: {
            show: false,
            width: 0.08,
            lineStyle: {
              type: 'solid',
              color: '#03202E'
            }
          }
        }],
        yAxis: [{
          splitLine: {
            show: true,
            lineStyle: {
              color: 'rgba(255, 255, 255, 0.1)',
              type: 'dashed'
            }
          },
          axisTick: {
            show: false
          },
          axisLine: {
            show: true,
            lineStyle: {
              color: 'rgba(255, 255, 255, 0.2)'
            }
          },
          axisLabel: {
            textStyle: {
              color: 'rgba(255, 255, 255, 0.8)',
              fontSize: '14',
              fontFamily: 'SourceHanSansCN-Regular',
              fontWeight: 400
            }
          }
        }],
        series: [
        // 柱底圆片
        {
          name: '',
          type: 'pictorialBar',
          symbolSize: [10, 6], // 调整截面形状
          symbolOffset: [0, 0],
          z: 12,
          itemStyle: {
            normal: {
              color: 'rgba(22, 255, 241, 0.8)'
            }
          },
          data: yData
        },
        // 柱体
        {
          name: '消防单位',
          type: 'bar',
          barWidth: 10,
          barGap: '0%',
          itemStyle: {
            normal: {
              barBorderRadius: 5,
              color: {
                x: 0,
                y: 0,
                x2: 0,
                y2: 1,
                type: 'linear',
                global: false,
                colorStops: [{
                  offset: 0,
                  color: 'rgba(55, 255, 238, 0.2)'
                }, {
                  offset: 1,
                  color: 'rgba(55, 255, 238, 0.8)'
                }]
              }
            }
          },

          data: yData
        },
        // 柱顶圆片
        {
          name: '',
          type: 'pictorialBar',
          symbolSize: [10, 6], // 调整截面形状
          symbolOffset: [0, -2],
          z: 12,
          symbolPosition: 'end',
          itemStyle: {
            normal: {
              color: 'rgba(22, 255, 241, 0.6)'
            }
          },
          data: yData
        }]
      };

      var myChart = this.echarts.init(document.querySelector('#barChart'));
      myChart.setOption(option);
    }
  },
  watch: {}
});
// CONCATENATED MODULE: ./packages/bar-chart/src/bar-chart.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_bar_chartvue_type_script_lang_js_ = (bar_chartvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/bar-chart/src/bar-chart.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_bar_chartvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/bar-chart/src/bar-chart.vue"
/* harmony default export */ var bar_chart = (component.exports);
// CONCATENATED MODULE: ./packages/bar-chart/index.js


/* istanbul ignore next */
bar_chart.install = function (Vue) {
  Vue.component(bar_chart.name, bar_chart);
};

/* harmony default export */ var packages_bar_chart = __webpack_exports__["default"] = (bar_chart);

/***/ })

/******/ });