module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 40);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 40:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/custom-table/src/custom-table.vue?vue&type=template&id=b60697b4&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { staticClass: "custom-table" }, [
    _c(
      "div",
      { class: ["table-row table-head"] },
      [
        _vm._l(_vm.columns, function(col, index) {
          return _c(
            "div",
            {
              class: [
                "fl table-cell",
                col.sortable ? "is-sortable" : "",
                col.align
              ],
              style: { width: col.width, textAlign: col.align }
            },
            [
              _vm._v(
                "\n            " +
                  _vm._s(col.field === "index" ? " " : col.name) +
                  "\n            "
              ),
              col.sortable
                ? _c("span", {
                    class: ["sort-icon", col.order === "asc" ? "asc" : "desc"],
                    on: {
                      click: function($event) {
                        _vm.handleSort(col)
                      }
                    }
                  })
                : _vm._e()
            ]
          )
        }),
        _vm._t("my-column")
      ],
      2
    ),
    _c(
      "div",
      { staticClass: "table-body", style: "height: " + _vm.height + "px" },
      [
        _vm._l(_vm.shownData, function(row, index) {
          return _c(
            "div",
            { staticClass: "table-row" },
            [
              _vm._l(_vm.columns, function(col, colIndex) {
                return _c(
                  "div",
                  {
                    class: [
                      "fl table-cell",
                      row.class,
                      col.field === "index" ? "index" : "",
                      col.align
                    ],
                    style: {
                      width: col.width,
                      textAlign: col.field !== "index" ? col.align : "",
                      color: col.color1
                    },
                    attrs: {
                      title:
                        col.field === "index"
                          ? index + 1
                          : _vm.isEmpty(row[col.field])
                          ? "-"
                          : row[col.field]
                    }
                  },
                  [
                    col.field === "index"
                      ? _c("div", { class: ["index-text"] }, [
                          _vm._v(
                            "\n                    " +
                              _vm._s(index + 1) +
                              "\n                "
                          )
                        ])
                      : _c("div", { staticClass: "text" }, [
                          _vm._v(
                            "\n                    " +
                              _vm._s(
                                _vm.isEmpty(row[col.field])
                                  ? "-"
                                  : row[col.field]
                              ) +
                              "\n                "
                          )
                        ])
                  ]
                )
              }),
              _vm._t("default", null, { row: row })
            ],
            2
          )
        }),
        _vm._l(new Array(_vm.showRow - (_vm.shownData.length || 0)), function(
          row,
          rowIndex
        ) {
          return _c(
            "div",
            { staticClass: "table-row" },
            _vm._l(_vm.columns, function(col, colIndex) {
              return _c(
                "div",
                {
                  class: [
                    "fl table-cell",
                    col.field === "index" ? "index" : "",
                    col.align
                  ],
                  style: {
                    width: col.width,
                    textAlign: col.field === "index" ? "" : col.align,
                    color: col.color
                  }
                },
                [
                  col.field === "index"
                    ? _c("div", { class: ["index-text empty"] }, [
                        _vm._v(
                          "\n                    " +
                            _vm._s("-") +
                            "\n                "
                        )
                      ])
                    : _c("div", { staticClass: "text" }, [
                        _vm._v(
                          "\n                    " +
                            _vm._s("-") +
                            "\n                "
                        )
                      ])
                ]
              )
            }),
            0
          )
        })
      ],
      2
    ),
    _vm.showPagination
      ? _c(
          "div",
          { staticClass: "table-footer" },
          [
            _c("div", { staticClass: "total-count" }, [
              _vm._v(
                "\n            总计：" +
                  _vm._s(_vm.pageControl.total) +
                  "条\n        "
              )
            ]),
            _c("el-pagination", {
              attrs: {
                "pager-count": 5,
                small: "",
                background: "",
                "page-size": _vm.pageControl.pagesize,
                "current-page": _vm.pageControl.pageIndex,
                layout: "prev, pager, next",
                total: _vm.pageControl.total
              },
              on: { "current-change": _vm.handlePageChange }
            })
          ],
          1
        )
      : _vm._e()
  ])
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/custom-table/src/custom-table.vue?vue&type=template&id=b60697b4&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/custom-table/src/custom-table.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var custom_tablevue_type_script_lang_js_ = ({
    name: 'customTable',
    componentName: 'customTable',
    props: {
        columns: {
            type: Array,
            default: []
        },
        tableData: {
            type: Array,
            default: function _default() {
                return [];
            }
        },
        pageControl: {
            type: Object,
            default: function _default() {}
        },
        showRow: {
            type: Number,
            default: 5
        },
        height: {
            type: Number,
            default: 160
        },
        showPagination: {
            type: Boolean,
            default: true
        }
    },
    data: function data() {
        return {
            shownData: []
        };
    },
    created: function created() {
        this.initColumns();
    },

    methods: {
        /**
         * 页码改变 回调函数
         */
        handlePageChange: function handlePageChange() {
            this.$emit('pageChange', this.pageControl.pageIndex);
        },

        /**
         * 判空
         */
        isEmpty: function isEmpty(val) {
            // null or undefined
            if (val == null) return true;

            if (typeof val === 'boolean') return false;

            if (typeof val === 'number') return !val;

            if (val instanceof Error) return val.message === '';

            switch (Object.prototype.toString.call(val)) {
                // String or Array
                case '[object String]':
                case '[object Array]':
                    return !val.length;

                // Map or Set or File
                case '[object File]':
                case '[object Map]':
                case '[object Set]':
                    {
                        return !val.size;
                    }
                // Plain Object
                case '[object Object]':
                    {
                        return !Object.keys(val).length;
                    }
            }
            return false;
        },

        /**
         * 按列排序
         */
        handleSort: function handleSort(col) {
            var filed = col.field;
            var order = col.order;

            // 若存在其他排序
            this.columns.forEach(function (item) {
                if (item.field !== filed) {
                    item.order = 'asc';
                }
            });

            // console.log(col);
            // console.log('before', this.tableData);
            if (order == 'asc') {
                col.order = 'desc';

                // 如果没有默认排序方法 则在
                if (col.sortFormater == null || col.sortFormater == undefined) {
                    col.sortFormater = function (a, b) {
                        return a[filed] - b[filed];
                    };
                }
                // 对表格进行排序
                this.tableData.sort(col.sortFormater);
            } else {
                col.order = 'asc';
                this.tableData = this.tableData.reverse();
            }
            // console.log('after', this.tableData);
        },

        /**
         * 初始化列配置
         */
        initColumns: function initColumns() {
            var _this = this;

            this.columns.forEach(function (ele) {
                if (ele.sortable && !ele.order) {
                    _this.$set(ele, 'order', 'asc');
                }
            });
        }
    },
    watch: {
        tableData: {
            handler: function handler(val) {
                this.shownData = val;
            },

            immediate: true,
            deep: true
        }
    }
});
// CONCATENATED MODULE: ./packages/custom-table/src/custom-table.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_custom_tablevue_type_script_lang_js_ = (custom_tablevue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/custom-table/src/custom-table.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_custom_tablevue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/custom-table/src/custom-table.vue"
/* harmony default export */ var custom_table = (component.exports);
// CONCATENATED MODULE: ./packages/custom-table/index.js


/* istanbul ignore next */
custom_table.install = function (Vue) {
    Vue.component(custom_table.name, custom_table);
};

/* harmony default export */ var packages_custom_table = __webpack_exports__["default"] = (custom_table);

/***/ })

/******/ });