module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 45);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 45:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/gauge-chart/src/gauge-chart.vue?vue&type=template&id=777776c6&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      staticClass: "device-online",
      style: { height: _vm.height, width: _vm.width }
    },
    [
      _c("div", { attrs: { id: "gaugeChart" } }),
      _c("div", { staticClass: "gauge-pointer" })
    ]
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/gauge-chart/src/gauge-chart.vue?vue&type=template&id=777776c6&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/gauge-chart/src/gauge-chart.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//

/* harmony default export */ var gauge_chartvue_type_script_lang_js_ = ({
  name: 'GaugeChart',
  componentName: 'GaugeChart',
  props: {
    width: {
      default: '500px',
      type: String
    },
    height: {
      default: '200px',
      type: String
    },
    data: {
      default: 68,
      type: Number
    }
  },
  computed: {},
  data: function data() {
    return {};
  },
  created: function created() {},
  mounted: function mounted() {
    this.initDeviceOnlineChart();
  },

  methods: {
    initDeviceOnlineChart: function initDeviceOnlineChart() {
      var max = 100;
      var currentNum = this.data;

      var dashboard_option = {
        // echarts的设置
        grid: {
          left: 0,
          right: 0
        },
        tooltip: {
          // 格式化提示内容
          formatter: function formatter(params) {
            return "<span style='display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:#37D3FF'></span>" + '在线率 : ' + params.value + '%';
          }
        },
        title: {
          show: false
        },
        polar: {
          // 圆弧大小
          radius: '180%',
          center: ['50%', '95%']
        },
        angleAxis: {
          axisLine: {
            show: false
          },
          axisLabel: {
            show: false
          },
          splitLine: {
            show: false
          },
          axisTick: {
            show: false
          },
          min: 0,
          max: 2 * max,
          boundaryGap: ['0', '100'],
          startAngle: 180
        },
        radiusAxis: {
          type: 'category',
          axisLine: {
            show: false
          },
          axisTick: {
            show: false
          },
          axisLabel: {
            show: false
          },
          data: ['a', 'b', 'c'],
          z: 10
        },
        series: [{
          type: 'bar',
          data: [,, currentNum || 0],
          coordinateSystem: 'polar',
          barMaxWidth: 8,
          z: 2,
          roundCap: 1,
          color: {
            type: 'linear',
            x: 0,
            y: 0,
            x2: 1,
            y2: 0,
            colorStops: [{
              offset: 0,
              color: 'rgba(255, 255, 255, 0.2)' // 0% 处的颜色
            }, {
              offset: 0.2,
              color: 'rgba(55, 211, 255, 0.3)'
            }, {
              offset: 1,
              color: '#37D3FF' // 100% 处的颜色
            }]
          },
          barGap: '-100%'
        }, {
          type: 'bar',
          data: [,, max],
          z: 0,
          silent: true,
          coordinateSystem: 'polar',
          barMaxWidth: 8,
          name: 'C',
          roundCap: 1,
          color: 'rgba(255, 255, 255, 0.4)',
          barGap: '-100%'
        }, {
          type: 'gauge',
          radius: '100%',
          center: ['50%', '100%'],
          // 起始
          startAngle: 180,
          // 终止
          endAngle: 0,
          axisLine: {
            lineStyle: {
              opacity: 0
            }
          },
          splitLine: {
            show: false
          },
          axisTick: {
            show: false
          },
          axisLabel: {
            show: false
          },
          animationDuration: 2000,
          pointer: {
            show: true,
            length: '80%',
            width: 6
          },
          itemStyle: {
            color: {
              type: 'linear',
              x: 0,
              y: 1,
              x2: 0,
              y2: 0,
              colorStops: [{
                offset: 0,
                color: 'transparent' // 0% 处的颜色
              }, {
                offset: 0.3,
                color: 'rgba(55, 211, 255, 0.3)' // 0% 处的颜色
              }, {
                offset: 1,
                color: '#37D3FF' // 100% 处的颜色
              }]
            }
          },
          detail: {
            show: false
          },
          data: [{
            value: currentNum,
            name: ''
          }]
        }, {
          type: 'gauge',
          radius: '163%',
          startAngle: 180,
          endAngle: 0,
          center: ['50%', '95%'],
          axisLine: {
            lineStyle: {
              color: [[0.5, 'rgba(145, 145, 145, 0.4)'], [1, 'rgba(145, 145, 145, 0.4)']],
              width: 1,
              opacity: 1
            }
          },
          axisTick: {
            show: false
          },
          splitLine: {
            show: false
          },
          axisLabel: {
            show: false
          },
          pointer: {
            show: false
          },
          detail: {
            show: 0
          }
        }]
      };

      var myChart = this.echarts.init(document.querySelector('#gaugeChart'));
      myChart.setOption(dashboard_option);
    }
  },
  watch: {}
});
// CONCATENATED MODULE: ./packages/gauge-chart/src/gauge-chart.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_gauge_chartvue_type_script_lang_js_ = (gauge_chartvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/gauge-chart/src/gauge-chart.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_gauge_chartvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/gauge-chart/src/gauge-chart.vue"
/* harmony default export */ var gauge_chart = (component.exports);
// CONCATENATED MODULE: ./packages/gauge-chart/index.js


/* istanbul ignore next */
gauge_chart.install = function (Vue) {
  Vue.component(gauge_chart.name, gauge_chart);
};

/* harmony default export */ var packages_gauge_chart = __webpack_exports__["default"] = (gauge_chart);

/***/ })

/******/ });