module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 32);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 32:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/pie-chart/src/pie-chart.vue?vue&type=template&id=69be1da8&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { staticClass: "high-frequent" }, [
    _c("div", {
      style: { height: _vm.height, width: _vm.width },
      attrs: { id: "pieChart" }
    }),
    _c("div", { staticClass: "pie-bg" })
  ])
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/pie-chart/src/pie-chart.vue?vue&type=template&id=69be1da8&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/pie-chart/src/pie-chart.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//

/* harmony default export */ var pie_chartvue_type_script_lang_js_ = ({
  name: 'PieChart',
  componentName: 'PieChart',
  props: {
    width: {
      default: '200px',
      type: String
    },
    height: {
      default: '200px',
      type: String
    },
    data: {
      default: function _default() {
        return [{ name: '11:50~12:50', value: 50 }];
      },
      type: Array
    }
  },
  computed: {},
  data: function data() {
    return {};
  },
  created: function created() {},
  mounted: function mounted() {
    this.initHighFrequentEventChart();
  },

  methods: {
    initHighFrequentEventChart: function initHighFrequentEventChart() {
      var nameArray = []; // 名称
      var numArray = []; // 值
      var totalArray = []; // 合计
      var baseDataPie = [];
      var total = 0;

      var color = ['#37D3FF', '#16FFF1', '#FA7575'];

      var dataList = this.data;

      var dataPie = dataList.length > 3 ? dataList.slice(0, 3) : dataList;
      dataPie.forEach(function (item) {
        nameArray.push(item.name);
        numArray.push(item.value);
        total += item.value;
      });

      // 间隙
      var interval = total / 40;

      if (dataPie.length === 1) {
        for (var i = 0; i < dataPie.length; i++) {
          baseDataPie.push({
            value: dataPie[i].value,
            name: dataPie[i].name,
            itemStyle: {
              normal: {
                color: color[i],
                borderWidth: 0,
                borderColor: color[i]
              }
            }
          });
        }
      } else {
        for (var _i = 0; _i < dataPie.length; _i++) {
          baseDataPie.push({
            value: dataPie[_i].value,
            name: dataPie[_i].name,
            itemStyle: {
              normal: {
                color: color[_i],
                borderWidth: 0,
                borderColor: color[_i]
              }
            }
          }, {
            value: interval * 2.5,
            name: '',
            itemStyle: {
              normal: {
                color: 'transparent',
                borderWidth: 5,
                borderColor: 'transparent'
              }
            }
          });
        }
      }

      var len = dataPie.length;
      totalArray = new Array(len).fill(total);

      // 更新echarts图
      var pieOption = {
        color: color,
        tooltip: {
          backgroundColor: 'rgba(50,50,50,0.7)',
          borderWidth: 0,
          padding: [5, 10],
          textStyle: {
            color: '#FFFFFF',
            fontFamily: 'sans-serif'
          },
          trigger: 'item',
          formatter: function formatter(item) {
            if (item.name) {
              return item.name + ' ' + item.value;
            }
          }
        },
        legend: {
          top: '5%',
          left: 'center',
          show: false
        },
        series: [
        // 外圈
        {
          name: '高发时段',
          type: 'pie',
          roundCap: 1,
          radius: ['86%', '98%'],
          center: ['50%', '50%'],
          avoidLabelOverlap: false,
          hoverAnimation: false,
          label: {
            show: false,
            position: 'center'
          },
          labelLine: {
            show: false
          },
          data: baseDataPie
        },
        // 内圈
        {
          name: '高发时段',
          type: 'pie',
          selectedMode: 'single',
          radius: ['70%', '83%'],
          center: ['50%', '50%'],
          itemStyle: {
            color: 'rgba(55, 211, 255, 0.1)'
          },
          hoverAnimation: false,
          tooltip: {
            trigger: 'item',
            show: false
          },
          labelLine: {
            show: false
          },
          data: totalArray
        }]
      };

      // let myChart = echarts.init(document.querySelector("#pieChart"));
      var myChart = this.echarts.init(document.querySelector('#pieChart'));
      myChart.setOption(pieOption);
    }
  },
  watch: {}
});
// CONCATENATED MODULE: ./packages/pie-chart/src/pie-chart.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_pie_chartvue_type_script_lang_js_ = (pie_chartvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/pie-chart/src/pie-chart.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_pie_chartvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/pie-chart/src/pie-chart.vue"
/* harmony default export */ var pie_chart = (component.exports);
// CONCATENATED MODULE: ./packages/pie-chart/index.js


/* istanbul ignore next */
pie_chart.install = function (Vue) {
  Vue.component(pie_chart.name, pie_chart);
};

/* harmony default export */ var packages_pie_chart = __webpack_exports__["default"] = (pie_chart);

/***/ })

/******/ });