module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 37);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 37:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/shrink-sub-menu/src/shrink-sub-menu.vue?vue&type=template&id=657609d2&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: ["shrink-submenu", _vm.expandMenu ? "" : "shrink"],
      style: {
        left: _vm.left,
        top: _vm.top,
        bottom: _vm.bottom,
        right: _vm.right,
        height: _vm.visible ? "" : "0px",
        width: _vm.expandMenu ? _vm.width : "12px"
      }
    },
    [
      _c("img", {
        class: _vm.expandMenu ? "leftarr" : "rightarr",
        attrs: {
          src:
            "../../../static/收缩卡标-" +
            (_vm.expandMenu ? "L1" : "L2") +
            ".png"
        },
        on: {
          click: function($event) {
            $event.stopPropagation()
            return _vm.toggleExpandMenu($event)
          }
        }
      }),
      _c("div", {
        class: _vm.expandMenu ? "" : "shink-arrow-img",
        on: {
          click: function($event) {
            $event.stopPropagation()
            return _vm.toggleExpandMenu($event)
          }
        }
      }),
      _c("div", { staticClass: "submenu-title" }, [_vm._v(_vm._s(_vm.title))]),
      _c(
        "ul",
        { staticClass: "dropdown-menu" },
        _vm._l(_vm.list, function(item, index) {
          return _c(
            "li",
            {
              key: index,
              class: item.id,
              on: {
                click: function($event) {
                  _vm.handleItemClick($event, index)
                }
              }
            },
            [
              _c("a", [
                _c(
                  "span",
                  { staticClass: "text", style: { color: item.color } },
                  [_vm._v(_vm._s(item.name))]
                ),
                _c("span", { staticClass: "num" }, [_vm._v(_vm._s(item.num))])
              ])
            ]
          )
        }),
        0
      )
    ]
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/shrink-sub-menu/src/shrink-sub-menu.vue?vue&type=template&id=657609d2&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/shrink-sub-menu/src/shrink-sub-menu.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var shrink_sub_menuvue_type_script_lang_js_ = ({
    name: 'shrinkSubMenu',
    componentName: 'shrinkSubMenu',
    props: {
        visible: {
            type: Boolean,
            default: false
        },
        top: [String, Number],
        left: [String, Number],
        right: [String, Number],
        bottom: [String, Number],
        list: {
            type: Array,
            default: function _default() {
                return [];
            }
        },
        width: {
            type: String,
            default: '150px'
        },
        title: {
            type: String,
            default: ''
        }
    },
    data: function data() {
        return {
            expandMenu: true,
            show: false
        };
    },
    mounted: function mounted() {},

    methods: {
        /**
         * 伸缩控制
         */
        toggleExpandMenu: function toggleExpandMenu() {
            this.expandMenu = !this.expandMenu;
        },

        /**
         * 列表点击
         */
        handleItemClick: function handleItemClick(e, index) {
            this.$emit('item-click', e, index);
        }
    },
    watch: {
        visible: function visible(val) {
            val && (this.expandMenu = true);
            this.show = val;
        }
    }
});
// CONCATENATED MODULE: ./packages/shrink-sub-menu/src/shrink-sub-menu.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_shrink_sub_menuvue_type_script_lang_js_ = (shrink_sub_menuvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/shrink-sub-menu/src/shrink-sub-menu.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_shrink_sub_menuvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/shrink-sub-menu/src/shrink-sub-menu.vue"
/* harmony default export */ var shrink_sub_menu = (component.exports);
// CONCATENATED MODULE: ./packages/shrink-sub-menu/index.js


/* istanbul ignore next */
shrink_sub_menu.install = function (Vue) {
  Vue.component(shrink_sub_menu.name, shrink_sub_menu);
};

/* harmony default export */ var packages_shrink_sub_menu = __webpack_exports__["default"] = (shrink_sub_menu);

/***/ })

/******/ });