module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 41);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 41:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/drag-modal/src/drag-modal.vue?vue&type=template&id=7f74ffe6&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      directives: [
        { name: "show", rawName: "v-show", value: _vm.show, expression: "show" }
      ],
      staticClass: "modal-com"
    },
    [
      _vm.showMask
        ? _c("div", {
            directives: [
              {
                name: "show",
                rawName: "v-show",
                value: _vm.show,
                expression: "show"
              }
            ],
            staticClass: "modal-mask",
            on: { click: _vm.handleMask }
          })
        : _vm._e(),
      _c("transition", { attrs: { name: "dialog-fade" } }, [
        _c(
          "div",
          {
            directives: [
              {
                name: "show",
                rawName: "v-show",
                value: _vm.show,
                expression: "show"
              }
            ],
            staticClass: "drag-modal",
            style: _vm.dialogStyle,
            on: { mousedown: _vm.setFront }
          },
          [
            _c(
              "div",
              {
                staticClass: "btn-close",
                on: {
                  click: function($event) {
                    $event.stopPropagation()
                    $event.preventDefault()
                    return _vm.close($event)
                  }
                }
              },
              [_c("i", { staticClass: "el-icon el-icon-close" })]
            ),
            _c(
              "div",
              { staticClass: "drag-container" },
              [
                _vm.resizable
                  ? [
                      _c("div", { staticClass: "drag-bar top-left-light" }),
                      _c("div", { staticClass: "drag-bar top-right-light" }),
                      _c("div", {
                        ref: "topLeft",
                        staticClass: "drag-bar top-left"
                      }),
                      _c("div", {
                        ref: "topRight",
                        staticClass: "drag-bar top-right"
                      }),
                      _c("div", {
                        ref: "bottomLeft",
                        staticClass: "drag-bar bottom-left"
                      }),
                      _c("div", {
                        ref: "bottomRight",
                        staticClass: "drag-bar bottom-right"
                      }),
                      _c("div", {
                        ref: "topBorder",
                        staticClass: "drag-bar top-border"
                      }),
                      _c("div", {
                        ref: "rightBorder",
                        staticClass: "drag-bar right-border"
                      }),
                      _c("div", {
                        ref: "bottomBorder",
                        staticClass: "drag-bar bottom-border"
                      }),
                      _c("div", {
                        ref: "leftBorder",
                        staticClass: "drag-bar left-border"
                      })
                    ]
                  : _vm._e(),
                _c(
                  "div",
                  {
                    staticClass: "drag-header",
                    style: _vm.headerStyle,
                    attrs: { onselectstart: "return false;" },
                    on: { mousedown: _vm.onDragMouseDown }
                  },
                  [
                    _c(
                      "div",
                      {
                        class: ["drag-title", _vm.draggable ? "draggable" : ""]
                      },
                      [
                        _vm._v(
                          "\n            " + _vm._s(_vm.title) + "\n          "
                        )
                      ]
                    )
                  ]
                ),
                _c(
                  "div",
                  {
                    class: ["drag-body", _vm.$slots.footer ? "has-footer" : ""],
                    style: _vm.bodyStyle
                  },
                  [_vm._t("default")],
                  2
                ),
                _vm.$slots.footer
                  ? _c(
                      "div",
                      { staticClass: "modal-footer" },
                      [_vm._t("footer")],
                      2
                    )
                  : _vm._e()
              ],
              2
            )
          ]
        )
      ])
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/drag-modal/src/drag-modal.vue?vue&type=template&id=7f74ffe6&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/drag-modal/src/drag-modal.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dragDialogManager = {
  // 当前最上层窗口的zIndex
  zIndex: 1088,
  // 当前最上层窗口dom节点
  currentEl: undefined && undefined.$el.querySelector('.drag-modal') || null,
  // 所有窗口dom节点
  elements: []
};
/* harmony default export */ var drag_modalvue_type_script_lang_js_ = ({
  name: 'DragModal',
  componentName: 'DragModal',
  props: {
    visible: {
      type: Boolean,
      default: false
    },
    draggable: {
      type: Boolean,
      default: true
    },
    mask: {
      type: Boolean,
      default: true
    },
    maskClosable: {
      type: Boolean,
      default: false
    },
    resizable: {
      type: Boolean,
      default: false
    },
    top: {
      type: String,
      default: '15%'
    },
    left: {
      type: String,
      default: 'center'
    },
    width: {
      type: String,
      default: '800px'
    },
    height: {
      type: String,
      default: '300px'
    },
    headerStyle: {
      type: Object,
      default: function _default() {}
    },
    bodyStyle: {
      type: Object,
      default: function _default() {}
    },
    title: {
      type: String,
      default: '弹框标题'
    },
    range: {
      type: Object,
      default: function _default() {
        return null;
      }
    },
    appendToBody: {
      type: Boolean,
      default: true
    }
  },
  data: function data() {
    return {
      dialogStyle: null,
      init: false,
      show: false
    };
  },

  computed: {
    showMask: function showMask() {
      return this.draggable ? false : this.mask;
    }
  },
  mounted: function mounted() {
    this.initHandler();
  },

  methods: {
    close: function close() {
      if (this.visible && this.appendToBody) {
        document.body.removeChild(this.$el);
      }
      this.$emit('update:visible', false);
    },
    handleMask: function handleMask() {
      if (this.maskClosable && this.showMask) {
        if (this.visible && this.appendToBody) {
          document.body.removeChild(this.$el);
        }
        this.$emit('update:visible', false);
      }
    },
    setFront: function setFront() {
      if (!dragDialogManager) {
        dragDialogManager = {
          zIndex: 1000,
          currentEl: this.$el.querySelector('.drag-modal'),
          elements: []
        };
      }
      if (dragDialogManager.currentEl !== this.$el.querySelector('.drag-modal')) {
        var manager = dragDialogManager;
        if (manager.elements.indexOf(this) === -1) {
          manager.elements.push(this);
        }
        var zIndex = ++dragDialogManager.zIndex;
        if (zIndex > 2000) {
          // 重新排序所有可拖拽弹窗
          manager.elements.sort(function (a, b) {
            return a.style.zIndex - b.style.zIndex;
          });
          for (var i = 0, len = manager.elements.length; i < len; ++i) {
            manager.elements[0].style.zIndex = i + 1000;
          }
          zIndex = manager.elements.length + 1000;
          dragDialogManager.zIndex = zIndex;
        }
        dragDialogManager.currentEl = this.$el.querySelector('.drag-modal');
        this.$el.querySelector('.drag-modal').style.zIndex = zIndex;
      } else if (!this.$el.querySelector('.drag-modal').style.zIndex) {
        this.$el.querySelector('.drag-modal').style.zIndex = 1000;
      }
    },

    /**
     * 初始化位置、大小
     */
    initStyle: function initStyle() {
      var left = this.left || 'center';
      var width = this.width || '50%';
      var winWidth = this.appendToBody ? document.body.clientWidth : this.$el.querySelector('.drag-modal') ? this.$el.querySelector('.drag-modal').parentElement.offsetWidth || document.body.clientWidth : document.body.clientWidth;
      if (width.indexOf('%') !== -1) {
        width = parseFloat(width) / 100 * winWidth + 'px';
      }
      if (left === 'center') {
        left = (winWidth - parseFloat(width)) / 2 + 'px';
      }
      this.dialogStyle = {
        height: this.height || 'auto',
        width: width,
        top: this.top || '15%',
        left: left
      };
    },

    /**
     * 绑定鼠标拖拽窗口大小事件
     */
    initHandler: function initHandler() {
      var _this = this;

      var handler = function handler(target, bar, direction) {
        //  绑定mousedown事件
        bar.onmousedown = function (event) {
          if (!_this.resizable) {
            return;
          }
          if (event.stopPropagation) {
            event.stopPropagation();
          } else if (event.preventDefault) {
            event.preventDefault();
          }
          var start = {
            x: event.clientX,
            y: event.clientY
          };
          var position = {
            left: target.offsetLeft,
            top: target.offsetTop,
            width: target.offsetWidth,
            height: target.offsetHeight
          };
          var right = position.left + position.width;
          var bottom = position.top + position.height;
          //  绑定mousemove事件
          document.onmousemove = function (event) {
            if (event.stopPropagation) {
              event.stopPropagation();
            } else if (event.preventDefault) {
              event.preventDefault();
            }

            //  鼠标位置
            var mousePosition = {
              x: event.clientX,
              y: event.clientY
            };
            //  检查范围,如有需要再进行完善
            var range = _this.range;
            if (range) {
              if (mousePosition.x < range.minX || mousePosition.x > range.maxX || mousePosition.y < range.minY || mousePosition.y > range.maxY) {
                mousePosition.x = range.minX;
              } else if (mousePosition.x > range.maxX) {
                mousePosition.x = range.maxX;
              } else if (mousePosition.y < range.minY) {
                mousePosition.y = range.minY;
              } else if (mousePosition.y > range.maxY) {
                mousePosition.y = range.maxY;
              }
            }
            var dis = {
              x: mousePosition.x - start.x,
              y: mousePosition.y - start.y
            };
            var style = {};
            var space = 30; // 最小宽度和高度
            switch (direction) {
              case 'topLeft':
                style = {
                  width: Math.max(position.width - dis.x, space) + 'px',
                  height: Math.max(position.height - dis.y, space) + 'px',
                  left: Math.min(position.left + dis.x, right - space) + 'px',
                  top: Math.min(position.top + dis.y, bottom - space) + 'px'
                };
                break;
              case 'topRight':
                style = {
                  width: Math.max(position.width + dis.x, space) + 'px',
                  height: Math.max(position.height - dis.y, space) + 'px',
                  top: Math.min(position.top + dis.y, bottom - space) + 'px'
                };
                break;
              case 'bottomLeft':
                style = {
                  width: Math.max(position.width - dis.x, space) + 'px',
                  height: Math.max(position.height + dis.y, space) + 'px',
                  left: Math.min(position.left + dis.x, right - space) + 'px'
                };
                break;
              case 'bottomRight':
                style = {
                  width: Math.max(position.width + dis.x, space) + 'px',
                  height: Math.max(position.height + dis.y, space) + 'px'
                };
                break;
              case 'topBorder':
                style = {
                  height: Math.max(position.height - dis.y, space) + 'px',
                  top: Math.min(position.top + dis.y, bottom - space) + 'px'
                };
                break;
              case 'rightBorder':
                style = {
                  width: Math.max(position.width + dis.x, space) + 'px'
                };
                break;
              case 'bottomBorder':
                style = {
                  height: Math.max(position.height + dis.y, space) + 'px'
                };
                break;
              case 'leftBorder':
                style = {
                  width: Math.max(position.width - dis.x, space) + 'px',
                  left: Math.min(position.left + dis.x, right - space) + 'px'
                };
                break;
            }
            for (var key in style) {
              target.style[key] = style[key];
            }
          };
          //  绑定mouseup事件
          document.onmouseup = function (event) {
            if (event.stopPropagation) {
              event.stopPropagation();
            } else if (event.preventDefault) {
              event.preventDefault();
            }
            _this.$emit('resize');
            // 清除事件
            document.onmousemove = null;
            document.onmouseup = null;
          };
        };
      };

      for (var key in this.$refs) {
        var el = this.$refs[key];
        var target = this.$el.querySelector('.drag-modal');
        // var target = document.querySelector(".drag-modal");
        handler(target, el, key);
      }
    },

    /**
     * 绑定鼠标拖拽窗口位置事件
     */
    onDragMouseDown: function onDragMouseDown(event) {
      var _this2 = this;

      //  绑定mousedown事件
      if (!this.draggable) {
        return;
      }
      if (event.target.id !== 'icon') {
        var target = this.$el.querySelector('.drag-modal');
        // var target = document.querySelector(".drag-modal");
        var start = {
          x: event.clientX,
          y: event.clientY
        };
        var position = {
          left: target.offsetLeft,
          top: target.offsetTop,
          width: target.offsetWidth
        };
        //  绑定mousemove事件
        document.onmousemove = function (event) {
          if (start.x === event.clientX && start.y === event.clientY) {
            return;
          }
          if (event.stopPropagation) {
            event.stopPropagation();
          } else if (event.preventDefault) {
            event.preventDefault();
          }

          //  鼠标位置
          var mousePosition = {
            x: event.clientX,
            y: event.clientY
          };
          //  检查范围,如有需要再进行完善
          var range = _this2.range;
          if (range) {
            if (mousePosition.x < range.minX || mousePosition.x > range.maxX || mousePosition.y < range.minY || mousePosition.y > range.maxY) {
              mousePosition.x = range.minX;
            } else if (mousePosition.x > range.maxX) {
              mousePosition.x = range.maxX;
            } else if (mousePosition.y < range.minY) {
              mousePosition.y = range.minY;
            } else if (mousePosition.y > range.maxY) {
              mousePosition.y = range.maxY;
            }
          }
          var dis = {
            x: mousePosition.x - start.x,
            y: mousePosition.y - start.y
          };
          var space = 10; // 保留10像素防止弹窗被拖出窗口
          var left = Math.max(Math.min(position.left + dis.x, document.body.clientWidth - space), -position.width + space);
          var top = Math.max(Math.min(position.top + dis.y, document.body.clientHeight - space), 0);
          target.style.left = left + 'px';
          target.style.top = top + 'px';
        };
        //  绑定mouseup事件
        document.onmouseup = function (event) {
          if (event.stopPropagation) {
            event.stopPropagation();
          } else if (event.preventDefault) {
            event.preventDefault();
          }
          // 清除事件
          document.onmousemove = null;
        };
      }
    }
  },
  watch: {
    visible: function visible(val) {
      if (val) {
        if (!this.init) {
          this.initStyle();
          this.init = true;
        }
        this.setFront();
        this.$emit('open');
        if (this.appendToBody) {
          document.body.appendChild(this.$el);
        }
      } else {
        this.$emit('close');
      }

      this.show = val;
    }
  }
});
// CONCATENATED MODULE: ./packages/drag-modal/src/drag-modal.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_drag_modalvue_type_script_lang_js_ = (drag_modalvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/drag-modal/src/drag-modal.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_drag_modalvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/drag-modal/src/drag-modal.vue"
/* harmony default export */ var drag_modal = (component.exports);
// CONCATENATED MODULE: ./packages/drag-modal/index.js


/* istanbul ignore next */
drag_modal.install = function (Vue) {
  Vue.component(drag_modal.name, drag_modal);
};

/* harmony default export */ var packages_drag_modal = __webpack_exports__["default"] = (drag_modal);

/***/ })

/******/ });