module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 39);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 39:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/echart-legend/src/echart-legend.vue?vue&type=template&id=75c84d18&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "legend", style: { height: _vm.height, width: _vm.width } },
    [
      _vm.type === "horizontal"
        ? _c(
            "div",
            { staticClass: "horizontal" },
            _vm._l(_vm.data, function(item, index) {
              return _c(
                "div",
                {
                  key: index,
                  staticClass: "item",
                  on: {
                    click: function($event) {
                      _vm.handleClickItem(index)
                    }
                  }
                },
                [
                  _c("div", {
                    class: ["symbol", _vm.symbolType, _vm.symbolClass],
                    style: { background: _vm.color[index] }
                  }),
                  _c(
                    "div",
                    {
                      staticClass: "name text-overflow",
                      style: { width: _vm.maxLength * 14 + "px" },
                      attrs: { title: item.name }
                    },
                    [_vm._v("\n                " + _vm._s(item.name))]
                  ),
                  _c("div", { staticClass: "percent" }, [
                    _vm._v(_vm._s(item.percent) + "%")
                  ])
                ]
              )
            }),
            0
          )
        : _vm._e(),
      _vm.type === "vertical"
        ? _c(
            "div",
            { staticClass: "vertical" },
            _vm._l(_vm.data, function(item, index) {
              return _c(
                "div",
                {
                  key: index,
                  staticClass: "item",
                  on: {
                    click: function($event) {
                      _vm.handleClickItem(index)
                    }
                  }
                },
                [
                  _c("div", {
                    class: ["symbol", _vm.symbolType, _vm.symbolClass],
                    style: { background: _vm.color[index] }
                  }),
                  _c("div", { staticClass: "detail" }, [
                    _c(
                      "div",
                      {
                        staticClass: "name",
                        style: { width: _vm.maxLength * 14 + "px" }
                      },
                      [
                        _vm._v(
                          "\n                    " +
                            _vm._s(item.name) +
                            "\n                "
                        )
                      ]
                    ),
                    _c("div", { staticClass: "value" }, [
                      _c("span", [_vm._v(_vm._s(item.value))]),
                      _c("div", { staticClass: "split" }),
                      _c(
                        "div",
                        {
                          staticClass: "percent text-overflow",
                          style: { color: _vm.color[index] },
                          attrs: { title: item.percent + "%" }
                        },
                        [
                          _vm._v(
                            "\n                        " +
                              _vm._s(item.percent) +
                              "%"
                          )
                        ]
                      )
                    ])
                  ])
                ]
              )
            }),
            0
          )
        : _vm._e()
    ]
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/echart-legend/src/echart-legend.vue?vue&type=template&id=75c84d18&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/echart-legend/src/echart-legend.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var echart_legendvue_type_script_lang_js_ = ({
    name: 'EchartLegend',
    componentName: 'EchartLegend',
    props: {
        width: {
            default: '300px',
            type: String
        },
        height: {
            default: '100px',
            type: String
        },
        type: {
            // horizontal水平, vertical垂直
            default: 'horizontal',
            type: String
        },
        symbolType: {
            default: 'square',
            type: String
        },
        symbolClass: {
            default: 'square',
            type: String
        },
        data: {
            default: function _default() {
                return [];
            },
            type: Array
        },
        color: {
            default: function _default() {
                return ['#37D3FF', '#FFE57C', '#FD9D66', '#16FFF1'];
            },
            type: Array
        }
    },
    data: function data() {
        return {
            maxLength: 0
        };
    },
    created: function created() {
        this.getMaxLength();
    },

    methods: {
        getMaxLength: function getMaxLength() {
            var length = 0;
            var total = 0;
            this.data.forEach(function (ele) {
                length = ele.name.split('').length > length ? ele.name.split('').length : length;
                total += ele.value;
            });
            this.maxLength = length;
            this.data.forEach(function (ele) {
                ele.percent = Number((ele.value * 100 / total).toFixed(2));
            });
        },
        handleClickItem: function handleClickItem(index) {
            this.$emit('handleClickItem', index);
        }
    }
});
// CONCATENATED MODULE: ./packages/echart-legend/src/echart-legend.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_echart_legendvue_type_script_lang_js_ = (echart_legendvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/echart-legend/src/echart-legend.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_echart_legendvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/echart-legend/src/echart-legend.vue"
/* harmony default export */ var echart_legend = (component.exports);
// CONCATENATED MODULE: ./packages/echart-legend/index.js


/* istanbul ignore next */
echart_legend.install = function (Vue) {
  Vue.component(echart_legend.name, echart_legend);
};

/* harmony default export */ var packages_echart_legend = __webpack_exports__["default"] = (echart_legend);

/***/ })

/******/ });