module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 20);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("vue");

/***/ }),

/***/ 20:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/full-screen-box/src/full-screen-box.vue?vue&type=template&id=26213382&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { ref: _vm.ref, staticClass: "full-screen-box" },
    [_vm.ready ? [_vm._t("default")] : _vm._e()],
    2
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/full-screen-box/src/full-screen-box.vue?vue&type=template&id=26213382&

// EXTERNAL MODULE: external "vue"
var external_vue_ = __webpack_require__(2);
var external_vue_default = /*#__PURE__*/__webpack_require__.n(external_vue_);

// EXTERNAL MODULE: external "element-ui/lib/utils/types"
var types_ = __webpack_require__(3);

// CONCATENATED MODULE: ./src/utils/util.js
var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };




var util_hasOwnProperty = Object.prototype.hasOwnProperty;

function noop() {};

function hasOwn(obj, key) {
    return util_hasOwnProperty.call(obj, key);
};

function extend(to, _from) {
    for (var key in _from) {
        to[key] = _from[key];
    }
    return to;
};

function toObject(arr) {
    var res = {};
    for (var i = 0; i < arr.length; i++) {
        if (arr[i]) {
            extend(res, arr[i]);
        }
    }
    return res;
};

var getValueByPath = function getValueByPath(object, prop) {
    prop = prop || '';
    var paths = prop.split('.');
    var current = object;
    var result = null;
    for (var i = 0, j = paths.length; i < j; i++) {
        var path = paths[i];
        if (!current) break;

        if (i === j - 1) {
            result = current[path];
            break;
        }
        current = current[path];
    }
    return result;
};

function getPropByPath(obj, path, strict) {
    var tempObj = obj;
    path = path.replace(/\[(\w+)\]/g, '.$1');
    path = path.replace(/^\./, '');

    var keyArr = path.split('.');
    var i = 0;
    for (var len = keyArr.length; i < len - 1; ++i) {
        if (!tempObj && !strict) break;
        var key = keyArr[i];
        if (key in tempObj) {
            tempObj = tempObj[key];
        } else {
            if (strict) {
                throw new Error('please transfer a valid prop path to form item!');
            }
            break;
        }
    }
    return {
        o: tempObj,
        k: keyArr[i],
        v: tempObj ? tempObj[keyArr[i]] : null
    };
};

var generateId = function generateId() {
    return Math.floor(Math.random() * 10000);
};

var valueEquals = function valueEquals(a, b) {
    // see: https://stackoverflow.com/questions/3115982/how-to-check-if-two-arrays-are-equal-with-javascript
    if (a === b) return true;
    if (!(a instanceof Array)) return false;
    if (!(b instanceof Array)) return false;
    if (a.length !== b.length) return false;
    for (var i = 0; i !== a.length; ++i) {
        if (a[i] !== b[i]) return false;
    }
    return true;
};

var escapeRegexpString = function escapeRegexpString() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    return String(value).replace(/[|\\{}()[\]^$+*?.]/g, '\\$&');
};

// TODO: use native Array.find, Array.findIndex when IE support is dropped
var arrayFindIndex = function arrayFindIndex(arr, pred) {
    for (var i = 0; i !== arr.length; ++i) {
        if (pred(arr[i])) {
            return i;
        }
    }
    return -1;
};

var arrayFind = function arrayFind(arr, pred) {
    var idx = arrayFindIndex(arr, pred);
    return idx !== -1 ? arr[idx] : undefined;
};

// coerce truthy value to array
var coerceTruthyValueToArray = function coerceTruthyValueToArray(val) {
    if (Array.isArray(val)) {
        return val;
    } else if (val) {
        return [val];
    } else {
        return [];
    }
};

var util_isIE = function isIE() {
    return !external_vue_default.a.prototype.$isServer && !isNaN(Number(document.documentMode));
};

var util_isEdge = function isEdge() {
    return !external_vue_default.a.prototype.$isServer && navigator.userAgent.indexOf('Edge') > -1;
};

var util_isFirefox = function isFirefox() {
    return !external_vue_default.a.prototype.$isServer && !!window.navigator.userAgent.match(/firefox/i);
};

var autoprefixer = function autoprefixer(style) {
    if ((typeof style === 'undefined' ? 'undefined' : _typeof(style)) !== 'object') return style;
    var rules = ['transform', 'transition', 'animation'];
    var prefixes = ['ms-', 'webkit-'];
    rules.forEach(function (rule) {
        var value = style[rule];
        if (rule && value) {
            prefixes.forEach(function (prefix) {
                style[prefix + rule] = value;
            });
        }
    });
    return style;
};

var kebabCase = function kebabCase(str) {
    var hyphenateRE = /([^-])([A-Z])/g;
    return str.replace(hyphenateRE, '$1-$2').replace(hyphenateRE, '$1-$2').toLowerCase();
};

var util_capitalize = function capitalize(str) {
    if (!Object(types_["isString"])(str)) return str;
    return str.charAt(0).toUpperCase() + str.slice(1);
};

var util_looseEqual = function looseEqual(a, b) {
    var isObjectA = Object(types_["isObject"])(a);
    var isObjectB = Object(types_["isObject"])(b);
    if (isObjectA && isObjectB) {
        return JSON.stringify(a) === JSON.stringify(b);
    } else if (!isObjectA && !isObjectB) {
        return String(a) === String(b);
    } else {
        return false;
    }
};

var arrayEquals = function arrayEquals(arrayA, arrayB) {
    arrayA = arrayA || [];
    arrayB = arrayB || [];

    if (arrayA.length !== arrayB.length) {
        return false;
    }

    for (var i = 0; i < arrayA.length; i++) {
        if (!util_looseEqual(arrayA[i], arrayB[i])) {
            return false;
        }
    }

    return true;
};

var isEqual = function isEqual(value1, value2) {
    if (Array.isArray(value1) && Array.isArray(value2)) {
        return arrayEquals(value1, value2);
    }
    return util_looseEqual(value1, value2);
};

var isEmpty = function isEmpty(val) {
    // null or undefined
    if (val == null) return true;

    if (typeof val === 'boolean') return false;

    if (typeof val === 'number') return !val;

    if (val instanceof Error) return val.message === '';

    switch (Object.prototype.toString.call(val)) {
        // String or Array
        case '[object String]':
        case '[object Array]':
            return !val.length;

        // Map or Set or File
        case '[object File]':
        case '[object Map]':
        case '[object Set]':
            {
                return !val.size;
            }
        // Plain Object
        case '[object Object]':
            {
                return !Object.keys(val).length;
            }
    }

    return false;
};

function rafThrottle(fn) {
    var locked = false;
    return function () {
        var _this = this;

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        if (locked) return;
        locked = true;
        window.requestAnimationFrame(function (_) {
            fn.apply(_this, args);
            locked = false;
        });
    };
}

function objToArray(obj) {
    if (Array.isArray(obj)) {
        return obj;
    }
    return isEmpty(obj) ? [] : [obj];
}

function randomExtend(minNum, maxNum) {
    if (arguments.length === 1) {
        return parseInt(Math.random() * minNum + 1, 10);
    } else {
        return parseInt(Math.random() * (maxNum - minNum + 1) + minNum, 10);
    }
}

function debounce(delay, callback) {
    var lastTime = void 0;

    return function () {
        clearTimeout(lastTime);

        var that = this,
            args = arguments;


        lastTime = setTimeout(function () {
            callback.apply(that, args);
        }, delay);
    };
}

function observerDomResize(dom, callback) {
    var MutationObserver = window.MutationObserver || window.WebKitMutationObserver || window.MozMutationObserver;

    var observer = new MutationObserver(callback);

    observer.observe(dom, {
        attributes: true,
        attributeFilter: ['style'],
        attributeOldValue: true
    });

    return observer;
}

function getPointDistance(pointOne, pointTwo) {
    var minusX = Math.abs(pointOne[0] - pointTwo[0]);

    var minusY = Math.abs(pointOne[1] - pointTwo[1]);

    return Math.sqrt(minusX * minusX + minusY * minusY);
}

function uuid(hasHyphen) {
    return (hasHyphen ? 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx' : 'xxxxxxxxxxxx4xxxyxxxxxxxxxxxxxxx').replace(/[xy]/g, function (c) {
        var r = Math.random() * 16 | 0;
        var v = c === 'x' ? r : r & 0x3 | 0x8;
        return v.toString(16);
    });
}
// CONCATENATED MODULE: ./src/mixins/autoResize.js


/* harmony default export */ var autoResize = ({
    data: function data() {
        return {
            dom: '',

            width: 0,
            height: 0,

            debounceInitWHFun: '',

            domObserver: ''
        };
    },

    methods: {
        autoResizeMixinInit: function autoResizeMixinInit() {
            var initWH = this.initWH,
                getDebounceInitWHFun = this.getDebounceInitWHFun,
                bindDomResizeCallback = this.bindDomResizeCallback,
                afterAutoResizeMixinInit = this.afterAutoResizeMixinInit;


            initWH(false).then(function () {
                getDebounceInitWHFun();

                bindDomResizeCallback();

                if (typeof afterAutoResizeMixinInit === 'function') afterAutoResizeMixinInit();
            });
        },
        initWH: function initWH() {
            var _this = this;

            var resize = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
            var $nextTick = this.$nextTick,
                $refs = this.$refs,
                ref = this.ref,
                onResize = this.onResize;


            return new Promise(function (resolve) {
                $nextTick(function (_) {
                    var dom = _this.dom = $refs[ref];

                    _this.width = dom ? dom.clientWidth : 0;
                    _this.height = dom ? dom.clientHeight : 0;

                    if (!dom) {
                        console.warn('iCityUI: Failed to get dom node, component rendering may be abnormal!');
                    } else if (!_this.width || !_this.height) {
                        console.warn('iCityUI: Component width or height is 0px, rendering abnormality may occur!');
                    }

                    if (typeof onResize === 'function' && resize) onResize();

                    resolve();
                });
            });
        },
        getDebounceInitWHFun: function getDebounceInitWHFun() {
            var initWH = this.initWH;


            this.debounceInitWHFun = debounce(100, initWH);
        },
        bindDomResizeCallback: function bindDomResizeCallback() {
            var dom = this.dom,
                debounceInitWHFun = this.debounceInitWHFun;


            this.domObserver = observerDomResize(dom, debounceInitWHFun);

            window.addEventListener('resize', debounceInitWHFun);
        },
        unbindDomResizeCallback: function unbindDomResizeCallback() {
            var domObserver = this.domObserver,
                debounceInitWHFun = this.debounceInitWHFun;


            if (!domObserver) return;

            domObserver.disconnect();
            domObserver.takeRecords();
            domObserver = null;

            window.removeEventListener('resize', debounceInitWHFun);
        }
    },
    mounted: function mounted() {
        var autoResizeMixinInit = this.autoResizeMixinInit;


        autoResizeMixinInit();
    },
    beforeDestroy: function beforeDestroy() {
        var unbindDomResizeCallback = this.unbindDomResizeCallback;


        unbindDomResizeCallback();
    }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/full-screen-box/src/full-screen-box.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//


/* harmony default export */ var full_screen_boxvue_type_script_lang_js_ = ({
    name: 'FullScreenBox',
    mixins: [autoResize],
    data: function data() {
        return {
            ref: 'full-screen-box',
            allWidth: 0,
            scale: 0,
            datavRoot: '',
            ready: false
        };
    },

    methods: {
        afterAutoResizeMixinInit: function afterAutoResizeMixinInit() {
            var initConfig = this.initConfig,
                setAppScale = this.setAppScale;

            initConfig();
            setAppScale();
            this.ready = true;
        },
        initConfig: function initConfig() {
            var dom = this.dom;
            var _screen = screen,
                width = _screen.width,
                height = _screen.height;

            this.allWidth = width;
            dom.style.width = width + 'px';
            dom.style.height = height + 'px';
        },
        setAppScale: function setAppScale() {
            var allWidth = this.allWidth,
                dom = this.dom;

            var currentWidth = document.body.clientWidth;
            dom.style.transform = 'scale(' + currentWidth / allWidth + ')';
        },
        onResize: function onResize() {
            var setAppScale = this.setAppScale;

            setAppScale();
        }
    }
});
// CONCATENATED MODULE: ./packages/full-screen-box/src/full-screen-box.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_full_screen_boxvue_type_script_lang_js_ = (full_screen_boxvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/full-screen-box/src/full-screen-box.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_full_screen_boxvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/full-screen-box/src/full-screen-box.vue"
/* harmony default export */ var full_screen_box = (component.exports);
// CONCATENATED MODULE: ./packages/full-screen-box/index.js


/* istanbul ignore next */
full_screen_box.install = function (Vue) {
  Vue.component(full_screen_box.name, full_screen_box);
};

/* harmony default export */ var packages_full_screen_box = __webpack_exports__["default"] = (full_screen_box);

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("element-ui/lib/utils/types");

/***/ })

/******/ });