module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 46);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 46:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/radar-chart/src/radar-chart.vue?vue&type=template&id=4a8ee860&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", {
    style: { height: _vm.height, width: _vm.width },
    attrs: { id: "radarChart" }
  })
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/radar-chart/src/radar-chart.vue?vue&type=template&id=4a8ee860&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/radar-chart/src/radar-chart.vue?vue&type=script&lang=js&
//
//
//
//

/* harmony default export */ var radar_chartvue_type_script_lang_js_ = ({
  name: 'RadarChart',
  componentName: 'RadarChart',
  props: {
    width: {
      default: '300px',
      type: String
    },
    height: {
      default: '200px',
      type: String
    },
    data: {
      default: function _default() {
        return [{
          name: '座椅',
          value: 35
        }, {
          name: '垃圾桶',
          value: 25
        }, {
          name: '路灯',
          value: 12
        }];
      },
      type: Array
    }
  },
  computed: {},
  data: function data() {
    return {
      // 报警总数
      alarmTotal: 0
    };
  },
  created: function created() {},
  mounted: function mounted() {
    this.initAlarmrRadarChart();
  },

  methods: {
    /**
     * 向上取整为10的倍数
     */
    formatInt: function formatInt(num) {
      var mult = Math.pow(10, 1); // 需要用0占1位
      return Math.ceil(num / mult) * mult; // 向上取整
    },
    initAlarmrRadarChart: function initAlarmrRadarChart() {
      var _this = this;

      var data = []; // 雷达图数据
      var maxData = 0; // 最大值
      var indicator = []; // 雷达图指示器，用来指定雷达图中的多个变量

      // 获取数据和最大值
      this.data.forEach(function (ele) {
        _this.alarmTotal += ele.value;
        data.push(ele.value);
        if (ele.value > maxData) {
          maxData = ele.value;
        }
      });

      maxData = this.formatInt(maxData); // 最大值向上取整为10的倍数

      // 获取指示器数据
      this.data.forEach(function (ele) {
        indicator.push({
          name: ele.name,
          max: maxData
        });
      });

      var buildSeries = function buildSeries(data) {
        var helper = data.map(function (item, index) {
          var arr = new Array(data.length);
          arr.splice(index, 1, item);
          return arr;
        });

        return [data].concat(helper).map(function (item, index) {
          return {
            type: 'radar',
            // 折线拐点标志样式
            itemStyle: {
              color: '#37D3FF'
            },
            // 线条样式
            lineStyle: {
              color: index === 0 ? '#37D3FF' : 'transparent'
            },
            // 区域填充样式
            areaStyle: {
              color: index === 0 ? '#0FB7E6' : 'transparent',
              opacity: 0.6
            },
            // 提示框内容
            tooltip: {
              backgroundColor: 'rgba(50,50,50,0.7)',
              borderWidth: 0,
              padding: [5, 10],
              textStyle: {
                color: '#FFFFFF',
                fontFamily: 'sans-serif'
              },
              confine: true, // 提示框显示在canvas以内
              show: index !== 0,
              formatter: function formatter() {
                return indicator[index - 1].name + "<br/><span style='display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:#37D3FF'></span>" + '报警 : ' + data[index - 1];
              }
            },
            z: index === 0 ? 1 : 2,
            data: [item]
          };
        });
      };

      var option = {
        tooltip: {},
        // 标题
        title: {
          text: this.alarmTotal,
          subtext: '报警总数',
          top: '33%',
          left: 'center',
          itemGap: 7,
          textStyle: {
            color: '#FEFFFF',
            fontSize: '24',
            fontFamily: 'OPPOSans-M',
            fontWeight: 'normal'
          },
          subtextStyle: {
            color: 'rgba(255, 255, 255, 0.6)',
            fontSize: '12',
            fontFamily: 'SourceHanSansCN-Normal',
            fontWeight: 400
          }
        },
        radar: {
          center: ['50%', '54%'],
          radius: '90%',
          // 雷达图每个指示器名称的配置项
          name: {
            textStyle: {
              color: ['rgba(255, 255, 255, 0.7)'],
              fontSize: '12',
              fontFamily: 'SourceHanSansCN-Regular',
              fontWeight: 400,
              padding: [-10, -12]
            }
          },
          // 分隔区域配置项
          splitArea: {
            show: true,
            areaStyle: {
              color: ['transparent']
            }
          },
          // 分割线
          splitLine: {
            lineStyle: {
              color: 'rgba(255, 255, 255, 0.3)'
            }
          },
          // 坐标轴轴线相关设置
          axisLine: {
            lineStyle: {
              color: 'rgba(255, 255, 255, 0.3)'
            }
          },
          // 指示器
          indicator: indicator
        },
        series: buildSeries(data)
      };

      var myChart = this.echarts.init(document.querySelector('#radarChart'));
      myChart.setOption(option);
    }
  },
  watch: {}
});
// CONCATENATED MODULE: ./packages/radar-chart/src/radar-chart.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_radar_chartvue_type_script_lang_js_ = (radar_chartvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/radar-chart/src/radar-chart.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_radar_chartvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/radar-chart/src/radar-chart.vue"
/* harmony default export */ var radar_chart = (component.exports);
// CONCATENATED MODULE: ./packages/radar-chart/index.js


/* istanbul ignore next */
radar_chart.install = function (Vue) {
  Vue.component(radar_chart.name, radar_chart);
};

/* harmony default export */ var packages_radar_chart = __webpack_exports__["default"] = (radar_chart);

/***/ })

/******/ });