module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 31);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 31:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/threedpie-chart/src/threedpie-chart.vue?vue&type=template&id=fcb29b40&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      staticClass: "device-archives",
      style: { height: _vm.height, width: _vm.width }
    },
    [
      _c("div", { attrs: { id: "deviceArchives" } }),
      _c("div", { staticClass: "device-archives-total" }, [
        _c("div", [_vm._v("设备档案")]),
        _c("div", [
          _vm._v(_vm._s(_vm.deviceArchivesTotal)),
          _c("span", [_vm._v("个")])
        ])
      ]),
      _c("div", { staticClass: "device-archives-circle" })
    ]
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/threedpie-chart/src/threedpie-chart.vue?vue&type=template&id=fcb29b40&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/threedpie-chart/src/threedpie-chart.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var threedpie_chartvue_type_script_lang_js_ = ({
  name: 'ThreedpieChart',
  componentName: 'ThreedpieChart',
  props: {
    width: {
      default: '800px',
      type: String
    },
    height: {
      default: '215px',
      type: String
    },
    data: {
      default: function _default() {
        return [{ name: '环卫设备', value: 35 }];
      },
      type: Array
    }
  },
  computed: {},
  data: function data() {
    return {
      // 饼图颜色列表
      deviceArchivesColor: ['rgba(55, 211, 255, 0.8)', '#FFE57C', '#FD9D66', '#85E4FD', '#7688D1'],
      // 总数
      deviceArchivesTotal: 0
    };
  },
  created: function created() {},
  mounted: function mounted() {
    this.getPropertyArchives();
  },

  methods: {
    /**
     * 格式化百分比
     */
    formatPercent: function formatPercent(num) {
      if (num.toString().indexOf('.') > -1) {
        var arr = num.toString().split('.');
        var decimalArr = arr[1].split('');
        if (decimalArr.length > 2) {
          return num.toFixed(2);
        } else {
          return num;
        }
      } else {
        return num;
      }
    },
    getPropertyArchives: function getPropertyArchives() {
      var _this = this;

      var id = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'deviceArchives';

      var data = [];
      var color = [];

      // 初始化总数
      this.deviceArchivesTotal = 0;
      this.data.forEach(function (item) {
        _this.deviceArchivesTotal += item.value;
      });

      // 初始化charts图
      data = this.data;
      color = this.deviceArchivesColor;

      for (var i = 0; i < data.length; i++) {
        data[i].color = color[i];
        data[i].h = 5;
        data[i].y = data[i].value;
      }
      if (data.length > 1) {
        data[0].h = 15;
      }

      this.initDeviceArchiveChart(id, data);
    },
    initDeviceArchiveChart: function initDeviceArchiveChart(id, data) {
      var that = this;
      var each = this.Highcharts.each,
          round = Math.round,
          cos = Math.cos,
          sin = Math.sin,
          deg2rad = Math.deg2rad;
      this.Highcharts.wrap(this.Highcharts.seriesTypes.pie.prototype, 'translate', function (proceed) {
        proceed.apply(this, [].slice.call(arguments, 1));
        if (!this.chart.is3d()) {
          return;
        }
        var series = this,
            chart = series.chart,
            options = chart.options,
            seriesOptions = series.options,
            depth = seriesOptions.depth || 0,
            options3d = options.chart.options3d,
            alpha = options3d.alpha,
            beta = options3d.beta,
            z = seriesOptions.stacking ? (seriesOptions.stack || 0) * depth : series._i * depth;
        z += depth / 2;
        if (seriesOptions.grouping !== false) {
          z = 0;
        }
        each(series.data, function (point) {
          var shapeArgs = point.shapeArgs,
              angle = void 0;
          point.shapeType = 'arc3d';
          var ran = point.options.h;
          shapeArgs.z = z;
          shapeArgs.depth = depth * 0.75 + ran;
          shapeArgs.alpha = alpha;
          shapeArgs.beta = beta;
          shapeArgs.center = series.center;
          shapeArgs.ran = ran;
          angle = (shapeArgs.end + shapeArgs.start) / 2;
          point.slicedTranslation = {
            translateX: round(cos(angle) * seriesOptions.slicedOffset * cos(alpha * deg2rad)),
            translateY: round(sin(angle) * seriesOptions.slicedOffset * cos(alpha * deg2rad))
          };
        });
      });
      (function (H) {
        H.wrap(that.Highcharts.SVGRenderer.prototype, 'arc3dPath', function (proceed) {
          var ret = proceed.apply(this, [].slice.call(arguments, 1));
          ret.zTop = (ret.zOut + 0.5) / 100;
          return ret;
        });
      })(that.Highcharts);
      this.Highcharts.chart(id, {
        chart: {
          type: 'pie',
          animation: true,
          marginLeft: 0,
          marginTop: 30,
          marginRight: 0,
          marginBottom: 0,
          events: {
            load: function load() {
              var each = that.Highcharts.each,
                  points = this.series[0].points;
              each(points, function (p, i) {
                p.graphic.attr({
                  translateY: -p.shapeArgs.ran
                });
                p.graphic.side1.attr({
                  translateY: -p.shapeArgs.ran
                });
                p.graphic.side2.attr({
                  translateY: -p.shapeArgs.ran
                });
              });
            }
          },
          options3d: {
            enabled: true,
            alpha: 60,
            beta: 0
          },
          backgroundColor: 'none'
        },
        title: {
          text: ''
        },
        accessibility: {
          point: {
            valueSuffix: '%'
          }
        },
        plotOptions: {
          pie: {
            allowPointSelect: false,
            cursor: 'pointer',
            depth: 20,
            dataLabels: {
              enabled: false
            },
            showInLegend: true,
            point: {
              events: {
                legendItemClick: function legendItemClick() {
                  return false; // 直接 return false 即可禁用图例点击事件
                }
              }
            }
          }
        },
        legend: {
          // enabled: false, //是否显示图例
          align: 'right', // 水平方向位置
          verticalAlign: 'top', // 垂直方向位置
          x: 33, // 距离x轴的距离
          y: -5, // 距离Y轴的距离
          // itemMarginBottom: 28,
          floating: true,
          width: 200,
          maxHeight: 680,
          useHTML: true,
          symbolWidth: 10,
          symbolHeight: 10,
          symbolRadius: 0, // 图标圆角
          symbolPadding: 7, // 图标跟文字的间距
          navigation: {
            enabled: false, // 是否开启图例导航
            activeColor: '#3E576F',
            animation: true,
            arrowSize: 12,
            inactiveColor: '#CCC',
            style: {
              fontWeight: 'normal',
              color: '#FFF',
              fontSize: '12px'
            }
          },
          labelFormatter: function labelFormatter() {
            var color = that.deviceArchivesColor;
            var len = that.data.length - 1;

            return '\n                            <div class="device-archives-content" style="margin-bottom:' + (this.index < len ? 32 : 0) + 'px">\n                                <div class="name">' + this.name + '</div>\n                                <div class="count">\n                                    ' + this.y + '\n                                    <span class="split"></span>\n                                    <div title="' + (this.percentage ? that.formatPercent(this.y * 100 / this.total) : '-') + '%" class="percent text-overflow" style="color:' + color[this.index] + '">' + (this.percentage ? that.formatPercent(this.y * 100 / this.total) : '-') + '%</div>\n                                </div>\n                            </div>\n                        ';
          }
        },
        tooltip: {
          backgroundColor: 'rgba(50, 50, 50, 0.7)', // 数据提示框的背景颜色
          borderColor: '#333', // 边框颜色
          borderWidth: 0,
          borderRadius: 10,
          useHTML: true, // 是否使用HTML编辑提示信息
          formatter: function formatter() {
            return '<div style="color:#fff;font-family:sans-serif;font-size:14px;font-weight:normal;padding:0;display:flex;flex-direction:column"><span>' + this.key + ('</span><span style="margin-top:3px"><span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + this.color + '"></span>\u62A5\u8B66\u6570\u91CF : ') + this.y + '</span></div>';
          }
        },
        series: [{
          type: 'pie',
          name: '报警数量',
          data: data
        }]
      });
    }
  },
  watch: {}
});
// CONCATENATED MODULE: ./packages/threedpie-chart/src/threedpie-chart.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_threedpie_chartvue_type_script_lang_js_ = (threedpie_chartvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/threedpie-chart/src/threedpie-chart.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_threedpie_chartvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/threedpie-chart/src/threedpie-chart.vue"
/* harmony default export */ var threedpie_chart = (component.exports);
// CONCATENATED MODULE: ./packages/threedpie-chart/index.js


/* istanbul ignore next */
threedpie_chart.install = function (Vue) {
  Vue.component(threedpie_chart.name, threedpie_chart);
};

/* harmony default export */ var packages_threedpie_chart = __webpack_exports__["default"] = (threedpie_chart);

/***/ })

/******/ });